# xarray.core.groupby.DataArrayGroupBy.fillna

`DataArrayGroupBy.``fillna`(value)

  Fill missing values in this object by group.

  This operation follows the normal broadcasting and alignment rules that xarray uses for binary arithmetic, except the result is aligned to this object (`join='left'`) instead of aligned to the intersection of index coordinates (`join='inner'`).

  Parameters:

  value : valid type for the grouped object’s fillna method

  > Used to fill all matching missing values by group.

  Returns: | same type as the grouped object

  See also

  `Dataset.fillna`, `DataArray.fillna`